export REPO_TOP=$(git rev-parse --show-toplevel)

module load verilator

export VERILATOR_HOME=$(verilator -V | grep "VERILATOR_ROOT" | head -n 1 | tr -s " " | cut -d " " -f 4)

python3.12 -m venv .user_venv
. .user_venv/bin/activate

pip install -r requirements.txt