import cocotb

from cocotb.clock import Clock

from cocotb.triggers import Timer

from decimal import Decimal


CLK_PERIOD_NS = 10


@cocotb.test()
async def test(dut):
    cocotb.start_soon(Clock(dut.clk, CLK_PERIOD_NS, units="ns").start())

    await Timer(Decimal(CLK_PERIOD_NS * 20000), units='ns')