# hw_tcp

hw_tcp is a hardware implementation of TCP for use in FPGAs or ASICs.

It shall be compliant with RFC 793.

It shall be composed of 3 blocks:
- tcp_cmd
- tcp_rx
- tcp_tx

Each instance of hw_tcp will support 1-16 simultaneous connections,
parameterizable at compile time.

It will have a maximum throughput of > 1Gbps

It will have a target clock speed of 100 MHz (In Efinix Trion technology).

The bus width will be 32, resulting in a theoretical max of 3.2Gbps

## tcp_cmd
tcp_cmd is what controls everything. It contains the states, reacts to events,
and gives commands to tcp_tx.

Basically everything in the spec. See the separate document for further detail.

## tcp_rx
tcp_rx is responsible for parsing the recieved data and writing it to the
output buffer. It will also check for flags, duplicate acks, out of order
packets, and bad checksums.

It will ensure that data written the the final output buffer is done in
order.

It will accept data on an ip sv interface

## tcp_tx
tcp_tx is responsible for generating packets based on commands given to it by
tcp_cmd. It will generate the header, including the checksum. It also contains
the retransmission queue. On request from tcp_cmd, it will retransmit packets.

It will output data on an ip sv interface