# Event Processor

![event_processor.drawio.png](event_processor.drawio.png)

The event processor has 2 parts: The event decoder, and the event table.
The event decoder looks at all of the inputs and determines if a relevant
event has occured for the current TCB. In the case that there are multiple
valid events, a priority encoder chooses which event to process first.

Once an action is selected, it along with extra input data and the current
TCB goes into the action table, which is essentially a giant lookup table
which determines what the action should be. The action consists of an action
and action meta. The action is which action to take, and action meta is any
information needed to perform that action, like what type of packet to send,
which timer and what value to set it to, what value the TCB element should
take next, etc.